%define upstream_name    Gtk3-ImageView
%define upstream_version 10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Image viewer widget for Gtk3
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Gtk3/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Always)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib)
BuildRequires: perl(Gtk3)
BuildRequires: perl(Image::Magick)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Try::Tiny)
BuildRequires:  x11-server-xvfb
BuildArch: noarch

%description
The Gtk3::ImageView widget allows the user to zoom, pan and select the
specified image and provides hooks to allow additional tools, e.g. painter,
to be created and used.

Gtk3::ImageView is a Gtk3 port of Gtk2::ImageView.

To discuss Gtk3::ImageView or gtk3-perl, ask questions and flame/praise the
authors, join gtk-perl-list@gnome.org at lists.gnome.org.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
xvfb-run -a %make_build test

%install
%make_install

%files
%doc META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 10.0.0-3.mga10
+ Revision: 2213323
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 10.0.0-2.mga9
+ Revision: 1838064
- Mageia 9 Mass Rebuild

* Sun Nov 07 2021 wally <wally> 10.0.0-1.mga9
+ Revision: 1754494
- new upstream version 10

* Wed Nov 11 2020 tv <tv> 4.0.0-1.mga8
+ Revision: 1644457
- imported package perl-Gtk3-ImageView


* Wed Nov 11 2020 cpan2dist 4-1mga
- initial mageia release, generated with cpan2dist
